-- name: [CS] Pepsiman
-- description: Pepsiman !!\n\n\\#ff7777\\This Pack requires Character Select\nby 6b

--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md

    Use this if you're curious on how anything here works >v<
]]

local E_MODEL_PEPSIMAN = smlua_model_util_get_id("pepsiman_geo")

local TEX_PEPSI_ICON = get_texture_info("pepsiman-icon")

local TEXT_MOD_NAME = "Pepsiman !!"

local VOICETABLE_PEPSIMAN = {
    [CHAR_SOUND_ATTACKED] = 'pepsi_hurt.mp3',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'pepsi_huh.mp3',
    [CHAR_SOUND_HAHA] = {'pepsiman.mp3', 'pepsi_yeah.mp3'},
    [CHAR_SOUND_HAHA_2] = 'rien.mp3',
    [CHAR_SOUND_HERE_WE_GO] = 'pepsiman.mp3',
    [CHAR_SOUND_HOOHOO] = 'pepsi_oh.mp3',
    [CHAR_SOUND_ON_FIRE] = {'pepsi_onfire.mp3', 'pepsi_onfire2.mp3', 'pepsi_onfire3.mp3'},
    [CHAR_SOUND_OOOF] = 'pepsi_hurt2.mp3',
    [CHAR_SOUND_OOOF2] = 'pepsi_hurt2.mp3',
    [CHAR_SOUND_PUNCH_HOO] = 'pepsi_yoh2.mp3',
    [CHAR_SOUND_PUNCH_WAH] = 'pepsi_hoh.mp3',
    [CHAR_SOUND_PUNCH_YAH] = 'pepsi_ahhh.mp3',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'pepsi_ahhh.mp3',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'rien.mp3',
    [CHAR_SOUND_WAAAOOOW] = 'pepsi_onfire3.mp3',
    [CHAR_SOUND_WAH2] = 'pepsi_yah.mp3',
    [CHAR_SOUND_WHOA] = 'rien.mp3',
    [CHAR_SOUND_YAHOO] = 'pepsi_yiah2.mp3',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'pepsi_yiah2.mp3',
    [CHAR_SOUND_YAH_WAH_HOO] = {'pepsi_yoh2.mp3', 'pepsi_hoh.mp3', 'pepsi_ahhh.mp3'},
    [CHAR_SOUND_OKEY_DOKEY] = 'rien.mp3',
    [CHAR_SOUND_LETS_A_GO] = 'rien.mp3',
    [CHAR_SOUND_DYING] = {'pepsi_dying.mp3', 'pepsi_dying2.mp3'},
    [CHAR_SOUND_DROWNING] = 'pepsi_onfire3.mp3',
    [CHAR_SOUND_EEUH] = 'pepsi_huh.mp3',
    [CHAR_SOUND_MAMA_MIA] = 'rien.mp3',
    [CHAR_SOUND_DOH] = 'pepsi_panting.mp3',
    [CHAR_SOUND_HRMM] = 'pepsi_huh.mp3',
    [CHAR_SOUND_PANTING] = 'pepsi_panting.mp3',
    [CHAR_SOUND_UH] = 'pepsi_huh.mp3',
}


if _G.charSelectExists then
    CT_CHAR = _G.charSelect.character_add("Pepsiman", {"DRINK PEPSI NOW !", "Play as Pepsiman !"}, "6b", {r = 255, g = 200, b = 200}, E_MODEL_PEPSIMAN, CT_MARIO, TEX_PEPSI_ICON)

    -- the following must be hooked for each character added
    _G.charSelect.character_add_voice(E_MODEL_PEPSIMAN, VOICETABLE_PEPSIMAN)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_PEPSIMAN then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_PEPSIMAN then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end